package com.logicbig.example.service;


import javax.ws.rs.GET;
import javax.ws.rs.Path;
import javax.ws.rs.PathParam;
import javax.ws.rs.core.Response;

@Path("orders")
public class OrderService {

    @GET
    public String getOrders() {
        return "returning all orders";
    }

    @GET
    @Path("{orderId}")
    public String getOrderById(
            @PathParam("orderId") String orderId) {
        return "returning order with id " + orderId;
    }

    @GET
    @Path("{orderId}/items")
    public String getOrderItemsById(@PathParam("orderId") String orderId) {
        return "returning all order items by order id: " + orderId;
    }

    @GET
    @Path("{orderId}/items/{itemId}")
    public Response getOrderItemByItemId(@PathParam("orderId") String orderId,
                                       @PathParam("itemId") String itemId) {
        return Response.status(Response.Status.OK)
                .entity("returning order item by order id: " + orderId + " and item id: " + itemId)
                .build();
    }
}